# Split stack projects have multiple subprojects
# The projects are configured in `package
gulp = require 'gulp'

wizard = (done) ->
  path = require 'path'
  fs   = require 'fs'
  bootstrap = require './bootstrap'
  pkg  = require '../package'

  console.log "Adding layer to #{pkg.name} stack"

  bootstrap.wizard (err, {name, repo}) ->
    pkg.stack[name] = {repo}

    pkgJSON = JSON.stringify pkg, null, '  '
    pkgPath = path.join __dirname, '../package.json'

    fs.writeFileSync pkgPath, pkgJSON

    inquirer.prompt [
      name: 'more'
      type: 'confirm'
      message: "Add another one?"
    ], ({more}) ->
      if more
        wizard done
      else
        done()

gulp.task "split:wizard", wizard

module.exports = {wizard}
