inquirer = require 'inquirer'
chalk    = require 'chalk'

animation = ['/', '–', '\\', '|']

spinner = (speed=1) ->
  ui = new inquirer.ui.BottomBar
  i = 0
  ui.updateBottomBar animation[i]
  interval = setInterval ->
    i = (i + 1) %% animation.length
    ui.updateBottomBar animation[i]
  , 100 // speed

  ->
    clearInterval interval
    ui.updateBottomBar ''

log = {}
levels =
  info: 'cyan'
  success: 'green'
  warn: 'yellow'
  error: 'red'
for level, color of levels
  do (level, color) ->
    log[level] = (args...) -> console.log '\n', (chalk[color] arg for arg in args)..., '\n'

module.exports = {log, spinner}